[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'FileUtil' (#lcl)

# ExtractFileNameOnly

ExtractFileNameOnly - removes all path delimiters and file extensions, leaving just the file name

## Declaration

Source position: fileutil.pas line 80

`function ExtractFileNameOnly(`
`const AFilename: String`
`):String;`

## Arguments

`AFilename` |  | The name of the file for processing

## Function result

Returns the original file name with path delimiters and the extension removed

The latest version of this document can be found at lazarus-ccr.sourceforge.net.